> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Result



## OpenAPI

````yaml openapi/en/gemini.json get /gemini/image/fetch
openapi: 3.1.0
info:
  title: Gemini API DOCS
  version: 1.0.0
  description: >-
    TTAPI Gemini API service, including Nano Banana image generation and Gemini
    video generation.
servers:
  - url: https://api.ttapi.org
security: []
paths:
  /gemini/image/fetch:
    get:
      parameters:
        - name: jobId
          in: query
          required: true
          schema:
            type: string
          example: 0ccf0606-3f32-4090-85bd-1786e4593be5
      responses:
        '200':
          $ref: '#/components/responses/SuccessResponse1'
        '400':
          $ref: '#/components/responses/400Response'
        '401':
          $ref: '#/components/responses/401Response'
      security:
        - CustomApiKey: []
components:
  responses:
    SuccessResponse1:
      description: Request successful
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: SUCCESS
              message:
                type: string
                example: success
              data:
                type: object
                description: Task result
                properties:
                  prompt:
                    type: string
                    description: Prompt
                  refer_images:
                    type: array
                    description: Reference images.
                  image_url:
                    type: string
                    description: >-
                      Image URL. Validity: see [Storage and
                      Persistence](/grids/en/faq/storage)
                  quota:
                    type: string
                    description: Quota consumed
            example:
              status: SUCCESS
              message: success
              data:
                prompt: a cute cat
                refer_images: null
                image_url: >-
                  https://cdn.ttapi.io/other/2025-09-10/8b46aa28-4433-455f-bf5c-f5ccea48baf2.png
                quota: 2
            required:
              - status
              - message
              - data
    400Response:
      description: Parameter error
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: '"prompt" cannot be empty.'
              data:
                type: object
            required:
              - status
              - message
    401Response:
      description: Authorization failed
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: Wrong TT-API-KEY or email is not activated.
            required:
              - status
              - message
  securitySchemes:
    CustomApiKey:
      type: apiKey
      in: header
      name: TT-API-KEY
      description: >-
        You can obtain your API key from the <a
        href='https://dashboard.ttapi.io' target='_blank'>TTAPI Dashboard</a>.

````